<!--
Contains the form fields for address creation.

For now it depends on a form object with the user field. It also does not create the form itself and neither
submission buttons.
-->
<div class="card" id="address-card" th:fragment="formFields(isCreate)">
    <div class="card-header">
        <span class="card-title" th:text="#{address.form.title}">Dados de Endereço</span>
    </div>
    <div class="card-body" th:object="${form}">

        <th:block th:unless="${isCreate}">
            <input th:field="*{address.id}" type="hidden">
        </th:block>

        <div class="row">
            <div class="col-md-6">
                <div class="form-group">
                    <label for="postal-code" th:text="#{address.form.label.postalCode}">CEP*</label>
                    <input class="form-control" id="postal-code" placeholder="99999999" required
                           th:classappend="${#fields.hasErrors('address.postalCode')} ? is-invalid"
                           th:field="*{address.postalCode}"
                           type="text">
                    <th:block th:insert="layout/fragments/form-field-errors :: errors(fieldName='address.postalCode')">
                    </th:block>
                </div>
            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label for="country" th:text="#{address.form.label.country}">País*</label>
                    <input class="form-control" id="country" required
                           th:classappend="${#fields.hasErrors('address.country')} ? is-invalid"
                           th:field="*{address.country}"
                           type="text">
                    <th:block th:insert="layout/fragments/form-field-errors :: errors(fieldName='address.country')">
                    </th:block>
                </div>
            </div>
        </div>

        <div class="row">
            <div class="col-md-6">
                <div class="form-group">
                    <label for="state" th:text="#{address.form.label.state}">Estado*</label>
                    <input class="form-control" id="state" required
                           th:classappend="${#fields.hasErrors('address.state')} ? is-invalid"
                           th:field="*{address.state}"
                           type="text">
                    <th:block th:insert="layout/fragments/form-field-errors :: errors(fieldName='address.state')">
                    </th:block>
                </div>
            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label for="city" th:text="#{address.form.label.city}">Cidade*</label>
                    <input class="form-control" id="city" required
                           th:classappend="${#fields.hasErrors('address.city')} ? is-invalid"
                           th:field="*{address.city}"
                           type="text">
                    <th:block th:insert="layout/fragments/form-field-errors :: errors(fieldName='address.city')">
                    </th:block>
                </div>
            </div>
        </div>

        <div class="row">

            <div class="col-md-6">
                <div class="form-group">
                    <label for="neighborhood" th:text="#{address.form.label.neighborhood}">Bairro*</label>
                    <input class="form-control" id="neighborhood"
                           th:classappend="${#fields.hasErrors('address.neighborhood')} ? is-invalid"
                           th:field="*{address.neighborhood}"
                           type="text">
                    <th:block th:insert="layout/fragments/form-field-errors :: errors(fieldName='address.neighborhood')">
                    </th:block>
                </div>
            </div>

            <div class="col-md-6">
                <div class="form-group">
                    <label for="street" th:text="#{address.form.label.street}">Rua*</label>
                    <input class="form-control" id="street" required
                           th:classappend="${#fields.hasErrors('address.street')} ? is-invalid"
                           th:field="*{address.street}"
                           type="text">
                    <th:block th:insert="layout/fragments/form-field-errors :: errors(fieldName='address.street')">
                    </th:block>
                </div>
            </div>
        </div>

        <div class="row">
            <div class="col-md-6">
                <div class="form-group">
                    <label for="number" th:text="#{address.form.label.number}">Número*</label>
                    <input class="form-control" id="number"
                           th:classappend="${#fields.hasErrors('address.number')} ? is-invalid"
                           th:field="*{address.number}"
                           type="text">
                    <th:block th:insert="layout/fragments/form-field-errors :: errors(fieldName='address.number')">
                    </th:block>
                </div>
            </div>

            <div class="col-md-6">
                <div class="form-group">
                    <label for="complement" th:text="#{address.form.label.complement}">Complemento</label>
                    <input class="form-control" id="complement"
                           th:classappend="${#fields.hasErrors('address.complement')} ? is-invalid"
                           th:field="*{address.complement}"
                           type="text">
                    <th:block th:insert="layout/fragments/form-field-errors :: errors(fieldName='address.complement')">
                    </th:block>
                </div>
            </div>

            <div class="col-md-6 d-none">
                <div class="form-group">
                    <input class="form-control" id="formattedAddress" readonly="readonly" required
                           th:classappend="${#fields.hasErrors('address.formattedAddress')} ? is-invalid"
                           th:field="*{address.formattedAddress}"
                           type="hidden">
                    <th:block
                            th:insert="layout/fragments/form-field-errors :: errors(fieldName='address.formattedAddress')">
                    </th:block>
                </div>
            </div>
        </div>
    </div>
</div>